{config, ...}: {
  services.caddy = {
    enable = true;
    email = "wg-tooling@list.momo.koeln";
    virtualHosts = {
      "auth.momo.koeln" = {
        logFormat = ''
          output discard
        '';
        extraConfig = ''
          reverse_proxy :8080
        '';
      };
    };
  };

  networking.firewall.allowedTCPPorts = [80 443];
}
