resource "hostingde_zone" "momo" {
  name = "momo.koeln"
  type = "NATIVE"
}

resource "hostingde_record" "mx" {
  zone_id = hostingde_zone.momo.id
  name = "list.momo.koeln"
  type = "MX"
  priority = 10
  content = "list.pub.solar"
}

resource "hostingde_record" "auth" {
  zone_id = hostingde_zone.momo.id
  name = "auth.momo.koeln"
  type = "CNAME"
  content = "pioneer.momo.koeln"
}

resource "hostingde_record" "erp" {
  zone_id = hostingde_zone.momo.id
  name = "erp.momo.koeln"
  type = "CNAME"
  content = "pioneer.momo.koeln"
}

resource "hostingde_record" "inv" {
  zone_id = hostingde_zone.momo.id
  name = "inv.momo.koeln"
  type = "CNAME"
  content = "pioneer.momo.koeln"
}

resource "hostingde_record" "pioneer" {
  zone_id = hostingde_zone.momo.id
  name = "pioneer.momo.koeln"
  type = "A"
  content = "80.244.242.4"
}

resource "hostingde_record" "website" {
  zone_id = hostingde_zone.momo.id
  name = "momo.koeln"
  type = "A"
  content = "80.71.153.143"
}

resource "hostingde_record" "wwww" {
  zone_id = hostingde_zone.momo.id
  name = "www.momo.koeln"
  type = "CNAME"
  content = "momo.koeln"
}

resource "hostingde_record" "dmarc" {
  zone_id = hostingde_zone.momo.id
  name = "_dmarc.list.momo.koeln"
  type = "TXT"
  content = "\"v=DMARC1; p=reject;\""
}

resource "hostingde_record" "spf" {
  zone_id = hostingde_zone.momo.id
  name = "list.momo.koeln"
  type = "TXT"
  content = "\"v=spf1 a:list.pub.solar ?all\""
}
