{
  self,
  lib,
  inputs,
  ...
}: {
  flake = {
    nixosModules = rec {
      overlays = {...}: {
        nixpkgs.overlays = [
          (final: prev: let
            unstable = import inputs.unstable {
              system = prev.system;
            };
            master = import inputs.master {
              system = prev.system;
            };
          in {
            direnv = unstable.direnv;
            nix-direnv = unstable.nix-direnv;
            #vimPlugins = prev.vimPlugins // {inherit (unstable.vimPlugins) nvim-lspconfig;};
          })

          inputs.erpnext.overlays.default
          inputs.erpnext.overlays.pythonOverlay

          (import ../pkgs)
          (import ./blesh.nix)
          (import ./nix-index.nix)
          (import ./neovim-plugins.nix)
        ];
      };
    };
  };
}
